-- ATTENTION
-- Ce script doit être exécuter sur 1 User qui a le rôle de DBA (ex.: User GRHUM)
-- USER SQL


--
-- Patch DBA de SCO_SCOLARITE du 15/03/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;
--
--
-- Fichier : 2/11
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 0.1.0.5
-- Date de publication : 15/03/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ MISE A JOUR DES VALEURS DES CHAMPS  -----------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- TABLE CHAMP
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.CHAMP where ID_CHAMP = '0';
  if (is_fiedld_exists = 0) then
   EXECUTE IMMEDIATE('
     INSERT INTO SCO_SCOLARITE.CHAMP (ID_CHAMP, CODE, LIBELLE, ORDRE, APPLICATION, D_CREATION, D_MODIFICATION, PERS_ID_CREATION, PERS_ID_MODIFICATION) 
     VALUES (''0'', ''racine'', ''racine'', ''0'', ''CORIANDRE'', TO_DATE(''28/02/13'', ''DD/MM/RR''), TO_DATE(''28/02/13'', ''DD/MM/RR''), ''1'', ''1'')');
  end if;
  
end;
/
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=1;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=21;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=30;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=35;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=46;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=54;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=68;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=74;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=82;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=85;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=91;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=94;
UPDATE SCO_SCOLARITE.CHAMP SET ID_PERE=0 WHERE ID_CHAMP=108;

UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE= 'Interruption d''etudes sur cette période' WHERE ID_CHAMP=57;
UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE= 'Année' WHERE ID_CHAMP=55;
UPDATE SCO_SCOLARITE.CHAMP SET CODE = 'departementCursus' where ID_CHAMP=60;
UPDATE SCO_SCOLARITE.CHAMP SET CODE = 'gradeFormationCursus', LIBELLE = 'Grade' WHERE ID_CHAMP=66;
UPDATE SCO_SCOLARITE.CHAMP SET LIBELLE= 'Type' WHERE ID_CHAMP=62;




-- TABLE TYPE_INSCRIPTION
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.TYPE_INSCRIPTION where ID_TYPE_INSCRIPTION = '1';
  if (is_fiedld_exists = 0) then
    EXECUTE IMMEDIATE('
        INSERT INTO SCO_SCOLARITE.TYPE_INSCRIPTION(ID_TYPE_INSCRIPTION,LC_TYPE_INSCRIPTION,LL_TYPE_INSCRIPTION,D_CREATION,D_MODIFICATION,PERS_ID_CREATION,PERS_ID_MODIFICATION) 
        VALUES (''1'', ''ES'', ''Enseignement supérieur'', TO_DATE(''28/02/13'', ''DD/MM/RR''), TO_DATE(''28/02/13'', ''DD/MM/RR''), ''1'', ''1'') ');
  end if;
    
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.TYPE_INSCRIPTION where ID_TYPE_INSCRIPTION = '2';
  if (is_fiedld_exists = 0) then
    EXECUTE IMMEDIATE('
        INSERT INTO SCO_SCOLARITE.TYPE_INSCRIPTION(ID_TYPE_INSCRIPTION,LC_TYPE_INSCRIPTION,LL_TYPE_INSCRIPTION,D_CREATION,D_MODIFICATION,PERS_ID_CREATION,PERS_ID_MODIFICATION) 
        VALUES (''2'', ''Fr'', ''Université française'', TO_DATE(''28/02/13'', ''DD/MM/RR''), TO_DATE(''28/02/13'', ''DD/MM/RR''), ''1'', ''1'')');
  end if;
    
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.TYPE_INSCRIPTION where ID_TYPE_INSCRIPTION = '3';
  if (is_fiedld_exists = 0) then
    EXECUTE IMMEDIATE('
        INSERT INTO SCO_SCOLARITE.TYPE_INSCRIPTION(ID_TYPE_INSCRIPTION,LC_TYPE_INSCRIPTION,LL_TYPE_INSCRIPTION,D_CREATION,D_MODIFICATION,PERS_ID_CREATION,PERS_ID_MODIFICATION) 
        VALUES (''3'', ''Local'', ''Université de l''''IA'', TO_DATE(''28/02/13'', ''DD/MM/RR''), TO_DATE(''28/02/13'', ''DD/MM/RR''), ''1'', ''1'')');    
  end if;
end;
/
-- TABLE STATUS_FORMATION
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.STATUT_FORMATION where CODE = 'C';
  if (is_fiedld_exists = 0) then
    EXECUTE IMMEDIATE('INSERT INTO SCO_SCOLARITE.STATUT_FORMATION(ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_SCOLARITE.STATUT_FORMATION_SEQ.NEXTVAL, ''C'', ''Classique'')');
  end if;
end;
/


--TABLE TYPE_ORGANISATION
UPDATE SCO_SCOLARITE.TYPE_ORGANISATION SET TYPE_ORGANISATION='NOUVEAU'  WHERE ID_TYPE_ORGANISATION=3;

--TABLE REGLE_LIAISON
declare
  is_fiedld_exists int;
begin
  --Parent AE
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=1 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=1 and allowed_child_id=9');    
  end if;
  --Parent AP
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=2 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=2 and allowed_child_id=9');   
  end if;
  
  --Parent EC
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=3 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=3 and allowed_child_id=9');       
  end if;
  
   --Parent UE
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=1;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=1');      
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=5;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=5');   
   
  end if;

  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=4 and allowed_child_id=9');      
  end if;

  --Parent RGPT
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=1;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=1');      
  end if;

  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=2;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=2');      
  end if;

  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=5 and allowed_child_id=9');      
  end if;
  
  --Parent Parcours
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=6 and allowed_child_id=6;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=6 and allowed_child_id=6');      
  end if;

  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=6 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=6 and allowed_child_id=9');      
  end if;
  
  --Parent Periode
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=3;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=3');      
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=4;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=4');      
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=7 and allowed_child_id=9');      
  end if;
  
  --Parent Version Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=3;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=3');      
  end if;

  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=5;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=5');      
  end if;
  
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=9;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=8 and allowed_child_id=9');      
  end if;

  --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=1;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=1');      
  end if;

  --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=2;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=2');      
  end if;

  --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=3;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=3');      
  end if;

  --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=4;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=4');      
  end if;

  --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=5;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=5');      
  end if;
  
   --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=6;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=6');      
  end if;
  
   --Parent Diplome
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=7;
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.REGLE_LIAISON where ALLOWED_PARENT_ID=9 and allowed_child_id=7');      
  end if;
end;
/

INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,1,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,2,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,3,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,4,1,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,4,5,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,4,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,5,1,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,5,2,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,5,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,6,6,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,6,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,7,3,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,7,4,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,7,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,8,3,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,8,5,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,8,9,1,0,0,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,1,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,2,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,3,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,4,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,5,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,6,1,0,1,0);
INSERT INTO SCO_SCOLARITE.REGLE_LIAISON(ID_REGLE_LIAISON,ALLOWED_PARENT_ID,ALLOWED_CHILD_ID,TYPE_LIEN_ID,FORBIDDEN,VISIBLE,ALLOWED)   VALUES(SCO_SCOLARITE.REGLE_LIAISON_SEQ.NEXTVAL,9,7,1,0,1,0);


--TABLE DB_VERSION
declare
  is_fiedld_exists int;
begin
  select count(*) into is_fiedld_exists from SCO_SCOLARITE.DB_VERSION where DBV_LIBELLE  = '0.1.0.5';
  if (is_fiedld_exists = 1) then
    EXECUTE IMMEDIATE('DELETE FROM SCO_SCOLARITE.DB_VERSION WHERE DBV_LIBELLE  = ''0.1.0.5''');
  end if;
end;
/
INSERT INTO SCO_SCOLARITE.DB_VERSION VALUES(SCO_SCOLARITE.DB_VERSION_SEQ.NEXTVAL, '0.1.0.5', '15/03/2013', SYSDATE,'Version alpha du user SCO_SCOLARITE');

COMMIT;



